splash = {
	file = 'splashes.txt',
	time = 0,
	maxtime = 2,
	text = 'There was an error in loading the splashes.  Wesley fucked up.  Sorry.'
}

function splash.update(dt)
	if splash.time == 0 then
		splash.text = splash.getsplash(splash.file)
	end

	splash.time = splash.time + 1*dt

	if splash.time > splash.maxtime then
		gamestate = 'game'
	end

end

function splash.draw()
	love.graphics.printf(splash.text, 0, 225*level.scale, 600*level.scale, 'center')
end

function splash.getsplash(file)
	arr = {}
	for line in love.filesystem.lines(file) do
  		table.insert(arr, line)
	end
	return arr[math.random(table.getn(arr))]
end