-- stages.lua
-- Contains a function to convert a .hsmap to a array.
function level.next()
	local d
	level.current = level.current + 1
	love.filesystem.write('save.hssav', (level.current-1)..'\r\n'..score..'\r\n'..deaths)
	if level.current < table.getn(level.levels)+1 then
		d = txttolvl(level.levels[level.current])
		level.load(d[4], d[1], d[2], d[3], d[5])
		print(d[5])
		level.name = d[3]
	else
		gamestate = 'credits'
		love.filesystem.write('save.hssav', '0\r\n0\r\n0')
	end
end

function txttolvl(file)
	lvl = {}
	lvltxt = ''
	numlines = 0
	for line in love.filesystem.lines(file) do
		if numlines > 1 then
			lvltxt = lvltxt..line
		elseif numlines == 0 then
			name = line
		elseif numlines == 1 then
			textures = line
		end
		linelen = string.len(line)
		numlines = numlines + 1
	end
	table.insert(lvl, linelen)
	table.insert(lvl, numlines-1)
	table.insert(lvl, name)
	table.insert(lvl, lvltxt)
	table.insert(lvl, textures)
	return lvl
end

-- level files:
level.levels = {'maps/level1.hsmap', 'maps/level2.hsmap', 'maps/level3.hsmap', 'maps/level4.hsmap'}