credits = {
	img = love.graphics.newImage('img/credits.png'),
	y = 600,
	arr = {}
}

function credits.update(dt)
	if credits.y == 600 then
		createcred('credits.txt')
	end

	if credits.y < -600 then
		love.event.push('quit')
	else
		credits.y = credits.y - 75 * dt
	end
end

function credits.draw()
	for cred = 1, table.getn(credits.arr), 1 do
		love.graphics.printf(credits.arr[cred], 0, credits.y + 20*cred, love.graphics.getWidth(), 'center')
	end 
end

function createcred(file)
	credits.arr = {}
	for line in love.filesystem.lines(file) do
		table.insert(credits.arr, line)
	end
end